Package org.eclipse.m2m.atl.dsls.tcs.extractor

# Class TCSExtractorPrintStream

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.extractor.TCSExtractorPrintStream

All Implemented Interfaces:
  `TCSExtractorStream`

public class TCSExtractorPrintStream extends Object implements TCSExtractorStream

## Constructor Summary

Constructors
Constructor
Description
`TCSExtractorPrintStream(OutputStream target)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`debug(String string)`
`void`
`printBoolean(boolean v)`
`void`
`printComment(String c)`
`void`
`printEscapedIdentifier(String identEscStart, String ident, String identEscEnd)`
`void`
`printIdentifier(String ident)`
`void`
`printInteger(int v)`
`void`
`printKeyword(String keyword)`
`void`
`printReal(String string)`
`void`
`printString(String stringDelim, String v)`
`void`
`printSymbol(String symbol)`
`void`
`printWhiteSpace(String ws)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TCSExtractorPrintStream

public TCSExtractorPrintStream(OutputStream target)

## Method Details

### close

public void close()

Specified by:
  `close` in interface `TCSExtractorStream`

### debug

public void debug(String string)

Specified by:
  `debug` in interface `TCSExtractorStream`

### printBoolean

public void printBoolean(boolean v)

Specified by:
  `printBoolean` in interface `TCSExtractorStream`

### printComment

public void printComment(String c)

Specified by:
  `printComment` in interface `TCSExtractorStream`

### printEscapedIdentifier

public void printEscapedIdentifier(String identEscStart, String ident, String identEscEnd)

Specified by:
  `printEscapedIdentifier` in interface `TCSExtractorStream`

### printIdentifier

public void printIdentifier(String ident)

Specified by:
  `printIdentifier` in interface `TCSExtractorStream`

### printInteger

public void printInteger(int v)

Specified by:
  `printInteger` in interface `TCSExtractorStream`

### printKeyword

public void printKeyword(String keyword)

Specified by:
  `printKeyword` in interface `TCSExtractorStream`

### printReal

public void printReal(String string)

Specified by:
  `printReal` in interface `TCSExtractorStream`

### printString

public void printString(String stringDelim, String v)

Specified by:
  `printString` in interface `TCSExtractorStream`

### printSymbol

public void printSymbol(String symbol)

Specified by:
  `printSymbol` in interface `TCSExtractorStream`

### printWhiteSpace

public void printWhiteSpace(String ws)

Specified by:
  `printWhiteSpace` in interface `TCSExtractorStream`